SACN::Provenance Class Reference

The Provenance class. More...

`#include <provenance.h>`

## Public Member Functions

| Provenance ()
| Provenance::Provenance.
| Provenance (std::shared_ptr< DATA::Pdu >)
| Construct a Universe Source from an sACN frame PDU. More...
const UUID::uuid | CID () const
| Provenance::CID. More...
const std::string | description () const
| Provenance::description. More...
uint16_t | universe () const
| Provenance::universe. More...
uint8_t | priority () const
| Provenance::priority. More...
uint16_t | syncAddress () const
| Provenance::syncAddress. More...
bool | isTerminated () const
| Provenance::isTerminated. More...
bool | isPreview () const
| Provenance::isPreview. More...
bool | isForced () const
| Provenance::isForced. More...
void | setCID (UUID::uuid cid)
| Provenance::setCID. More...
void | setDescription (std::string desc)
| Provenance::setDescription. More...
void | setOptions (uint8_t o)
| Provenance::setOptions. More...
void | setUniverse (uint16_t n)
| Provenance::setUniverse. More...
void | setSyncAddress (uint16_t a)
| Provenance::setSyncAddress. More...
void | setPriority (uint8_t p)
| Provenance::setPriority. More...

## Friends

bool | operator== (const Provenance &a, const Provenance &b)
| operator == More...

## Detailed Description

The Provenance class.

## Constructor & Destructor Documentation

## Provenance()

SACN::Provenance::Provenance | ( | std::shared_ptr< DATA::Pdu > | pdu | ) |

Construct a Universe Source from an sACN frame PDU.

Parameters

  pdu |

## Member Function Documentation

## CID()

const UUID::uuid SACN::Provenance::CID | ( |  | ) | const

Provenance::CID.

Returns

## description()

const std::string SACN::Provenance::description | ( |  | ) | const

Provenance::description.

Returns

## isForced()

bool SACN::Provenance::isForced | ( |  | ) | const

Provenance::isForced.

Returns

## isPreview()

bool SACN::Provenance::isPreview | ( |  | ) | const

Provenance::isPreview.

Returns

## isTerminated()

bool SACN::Provenance::isTerminated | ( |  | ) | const

Provenance::isTerminated.

Returns

## priority()

uint8_t SACN::Provenance::priority | ( |  | ) | const

Provenance::priority.

Returns

## setCID()

void SACN::Provenance::setCID | ( | UUID::uuid | cid | ) |

Provenance::setCID.

Parameters

  cid |

## setDescription()

void SACN::Provenance::setDescription | ( | std::string | desc | ) |

Provenance::setDescription.

Parameters

  desc |

## setOptions()

void SACN::Provenance::setOptions | ( | uint8_t | o | ) |

Provenance::setOptions.

Parameters

  o |

## setPriority()

void SACN::Provenance::setPriority | ( | uint8_t | p | ) |

Provenance::setPriority.

Parameters

  p |

## setSyncAddress()

void SACN::Provenance::setSyncAddress | ( | uint16_t | a | ) |

Provenance::setSyncAddress.

Parameters

  a |

## setUniverse()

void SACN::Provenance::setUniverse | ( | uint16_t | n | ) |

Provenance::setUniverse.

Parameters

  n |

## syncAddress()

uint16_t SACN::Provenance::syncAddress | ( |  | ) | const

Provenance::syncAddress.

Returns

## universe()

uint16_t SACN::Provenance::universe | ( |  | ) | const

Provenance::universe.

Returns

## Friends And Related Function Documentation

## operator==

bool operator== | ( | const Provenance & | a,
|  | const Provenance & | b
| ) |  |

friend

operator ==

Parameters

  a |
  b |

Returns

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/provenance.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/provenance.cpp